/* 
 * Copyright 1994 Alastair Gourlay
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided 
 * that the above copyright notice appear in all copies and that both that 
 * copyright notice and this permission notice appear in supporting 
 * documentation.
 */

/*
 *
 * Grid.h - XmpGrid Public header
 *
 */

#ifndef _XmpGrid_h
#define _XmpGrid_h

#include <Xm/Xm.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef XmpIsGrid
#define XmpIsGrid(w) XtIsSubclass(w, xmpGridWidgetClass)
#endif

#define XmNgridMarginWidth "gridMarginWidth"
#define XmCGridMarginWidth "GridMarginWidth"
#define XmNgridMarginHeight "gridMarginHeight"
#define XmCGridMarginHeight "GridMarginHeight"

externalref WidgetClass xmpGridWidgetClass;

typedef struct _XmpGridClassRec *XmpGridWidgetClass;
typedef struct _XmpGridRec *XmpGridWidget;

#ifdef _NO_PROTO

extern Widget XmpCreateGrid();

#else

extern Widget XmpCreateGrid(Widget, char*, Arg*, Cardinal);

#endif /* _NO_PROTO */

#ifdef __cplusplus
}
#endif

#endif /* _XmpGrid_h */

