/* 
 * Copyright 1994 Alastair Gourlay
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided 
 * that the above copyright notice appear in all copies and that both that 
 * copyright notice and this permission notice appear in supporting 
 * documentation.
 */

/*
 *
 * Bezel.h - XmpBezel Public header
 *
 */

#ifndef _XmpBezel_h
#define _XmpBezel_h

#include <Xm/Xm.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef XmpIsBezel
#define XmpIsBezel(w) XtIsSubclass(w, xmpBezelWidgetClass)
#endif

#define XmNbezelThickness "bezelThickness"
#define XmCBezelThickness "BezelThickness"
#define XmNmarginThickness "marginThickness"
#define XmCMarginThickness "MarginThickness"

externalref WidgetClass xmpBezelWidgetClass;

typedef struct _XmpBezelClassRec *XmpBezelWidgetClass;
typedef struct _XmpBezelRec *XmpBezelWidget;

#ifdef _NO_PROTO

extern Widget XmpCreateBezel();

#else

extern Widget XmpCreateBezel(Widget, char*, Arg*, Cardinal);

#endif /* _NO_PROTO */

#ifdef __cplusplus
}
#endif

#endif /* _XmpBezel_h */

