/*
 *
 * Template.h - XmpTemplate Public header
 *
 */

#ifndef _XmpTemplate_h
#define _XmpTemplate_h

#include <Xm/Xm.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef XmpIsTemplate
#define XmpIsTemplate(w) XtIsSubclass(w, xmpTemplateWidgetClass)
#endif

#define XmNtemplateResource "templateResource"
#define XmCTemplateResource "TemplateResource"

#define XmNtemplateConstraintResource "templateConstraintResource"
#define XmCTemplateConstraintResource "TemplateConstraintResource"

externalref WidgetClass xmpTemplateWidgetClass;

typedef struct _XmpTemplateClassRec *XmpTemplateWidgetClass;
typedef struct _XmpTemplateRec *XmpTemplateWidget;

#ifdef _NO_PROTO

extern Widget XmpCreateTemplate();

#else

extern Widget XmpCreateTemplate(Widget, char*, Arg*, Cardinal);

#endif /* _NO_PROTO */

#ifdef __cplusplus
}
#endif

#endif /* _XmpTemplate_h */

